Method: projects.locations.aclPolicies.patch

Updates the ACL policy.

The operation applies the updated ACL policy to all of the linked clusters. If Memorystore can apply the policy to all clusters, then the operation returns a SUCCESS status. If Memorystore can't apply the policy to all clusters, then to ensure eventual consistency, Memorystore uses reconciliation to apply the policy to the failed clusters.

Completed longrunning.Operation will contain the new ACL policy object in the response field.

HTTP request

PATCH https://redis.googleapis.com/v1alpha1/{aclPolicy.name=projects/*/locations/*/aclPolicies/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
aclPolicy.name

string

Identifier. Full resource path of the ACL policy.

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. Mask of fields to be updated. At least one path must be supplied in this field. The elements of the repeated paths field may only include these fields from AclPolicy:

  • rules

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

requestId

string

Optional. Idempotent request UUID.

Request body

The request body contains an instance of AclPolicy.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/redis.read-write

For more information, see the Authentication Overview.